@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';



$flexlayout__sidebar--width: $globals__sidebar--width;
$flexlayout__sidebar--transform-left: translateX(-100%);
$flexlayout__sidebar--transform-right: translateX(100%);
$flexlayout__sidebar-collapsed--width: 50px;
//_flexlayout__sidebar-collapsed--transform-left: translateX(-$flexlayout__sidebar-collapsed--width);
//_flexlayout__sidebar-collapsed--transform-right: translateX($flexlayout__sidebar-collapsed--width);
//_flexlayout__sidebar-overlap--width: $flexlayout__sidebar--width;

$flexlayout__sidebar--transition: transform 0.5s, visibility 0s linear 0.5s;
$flexlayout__sidebar-opened--transition: transform 0.5s;
$flexlayout__sidebar--box-shadow: 0 0 2px rgba($grey__default--1100, 0.58);

$flexlayout__sidebar-overlap--transition: width 0.3s;
$flexlayout__sidebar-overlap-hover--transition: width 0.3s;

$flexlayout__sidebar-footer-before--width: 100%;
$flexlayout__sidebar-footer-before--font-family: $font-family-fontawesome;
$flexlayout__sidebar-footer-before--font-size: 24px;
$flexlayout__sidebar-footer-before--line-height: 30px;
$flexlayout__sidebar-footer-before--color: $white;

$flexlayout__sidebar-footer-angle-left--content: "\f104";
$flexlayout__sidebar-footer-angle-right--content: "\f105";

$flexlayout__sidebar-footer--width: 100%;
$flexlayout__sidebar-footer--height: $globals__toolbar--height;
$flexlayout__sidebar-footer--padding: 10px 10px;
$flexlayout__sidebar-footer--cursor: pointer;
$flexlayout__sidebar-footer--bottom: 0;
$flexlayout__sidebar-footer--bg-color: $black__blueish--200;
$flexlayout__sidebar-footer--box-shadow: 0 -1px 2px rgba(111, 124, 145, 0.58);

$flexlayout__sidebar-collapsible--padding-bottom: $flexlayout__sidebar-footer--height;

$flexlayout__contents-opened--width: calc(100% - #{$flexlayout__sidebar--width});
$flexlayout__contents-collapsed--width: calc(100% - #{$flexlayout__sidebar-collapsed--width});
$flexlayout__contents--transition: transform 0.5s;
//_flexlayout__contents-opened--transform-left: translateX($flexlayout__sidebar--width);
//_flexlayout__contents-collapsed--transform-left: translateX($flexlayout__sidebar-collapsed--width);
$flexlayout__contents-dimmer--bg-color: rgba($black, 0.5);
$_flexlayout__contents--z-index: 0;

$flexlayout__trigger--width: $globals__toolbar--height;
$flexlayout__trigger--height: $globals__toolbar--height;
$flexlayout__trigger--bg-image: url("images/icon_menu_inverted.svg");
$flexlayout__trigger-hover--bg-color: $blue__default--100;

$flexlayout__trigger-summary--bg-image: url("images/icon_sidebar_summary_default.svg");
$flexlayout__trigger-summary-hover--bg-image: url("images/icon_sidebar_summary_hover.svg");

$flexlayout__media-query-xl--min-width: 1920px;
$flexlayout__media-query-l--min-width: 1600px;
$flexlayout__media-query-m--min-width: 1366px;
$flexlayout__media-query-s--min-width: 1200px;
$flexlayout__media-query-xs--min-width: 1024px;

$flexlayout__sidebar--z-index: 1;
$flexlayout__sidebar-overlap--z-index: 1;
$flexlayout__sidebar-header--z-index: 9;
$flexlayout__contents-dimmer--z-index: 99;
$flexlayout__sidebar--bp-s--z-index: 100;

$flexlayout__sidebar-header-btn--width: 12px;
$flexlayout__sidebar-header-btn--height: 30px;
$flexlayout__sidebar-header-btn--bg-color: $grey__default--1100;
$flexlayout__sidebar-header-btn-hover--bg-color: $blue__default;
$flexlayout__sidebar-header-btn--padding: 0;
$flexlayout__sidebar-header-btn--margin-top: 5px;
$flexlayout__sidebar-header-btn-left--box-shadow: -1px 0 3px 0 rgba($black, 0.21);
$flexlayout__sidebar-header-btn-right--box-shadow: 1px 0 3px 0 rgba($black, 0.21);
$flexlayout__sidebar-header-btn--border: 1px solid rgba($white, 0.8);
$flexlayout__sidebar-header-btn--border-radius: 0 2px 2px 0;
$_flexlayout__sidebar-header-btn--transition: opacity 0.4s 0.15s ease-out;

$_flexlayout__sidebar-right--box-shadow: $flexlayout__sidebar-header-btn-left--box-shadow;
$_flexlayout__sidebar-left--box-shadow: $flexlayout__sidebar-header-btn-right--box-shadow;

$flexlayout__sidebar-header-btn-arrow--width: 6px;
$flexlayout__sidebar-header-btn-arrow--height: 14px;
$flexlayout__sidebar-header-btn--arrow-hover--color: $blue__default;

$flexlayout__sidebar-right-header-btn--text-align: right;
$flexlayout__sidebar-right-header-btn--margin-left: -11px;
$flexlayout__sidebar-right-header-btn-before--transform: translateX(6px);
$flexlayout__sidebar-right-header-btn-after--transform: translateX(3px);
//_flexlayout__sidebar-right-header-btn-before--color: $white;
$flexlayout__sidebar-right-header-btn-after--color: $grey__default--1100;

$flexlayout__sidebar-left-header-btn--text-align: left;
$flexlayout__sidebar-left-header-btn--margin-right: -11px;
$flexlayout__sidebar-left-header-btn-before--transform: translateX(-6px);
$flexlayout__sidebar-left-header-btn-after--transform: translateX(-9px);
$flexlayout__sidebar-left-header-btn-before--color: $grey__default--1100;
$flexlayout__sidebar-left-header-btn-after--color: $white;
